import { type TargetConfiguration } from '@nx/devkit';
/**
 * TODO: '@web/dev-server' does not export the `DevServerCliArgs` type - add it
 * when its exported from their public api.
 *
 * https://github.com/modernweb-dev/web/blob/17cfc0d70f46b321912e4506b2cccae1b16b1534/packages/dev-server/src/config/readCliArgs.ts#L6-L20
 */
type WebDevServerTargetConfiguration = TargetConfiguration;
interface WebDevServerPluginSchema {
    /**
     * The name of the `Web Dev Server` serve target e.g. `'serve'` or
     * `'web-dev-server'`.
     */
    serveTargetName?: string;
    /**
     * The configuration of the `Web Dev Server` _serve_ target target identified
     * by {@link WebDevServerPluginSchema.serveTargetName serveTargetName}.
     *
     * @example
     *   {
     *     "watch": true
     *   }
     *
     * @see https://modern-web.dev/docs/dev-server/cli-and-configuration/
     */
    serveTargetConfig?: WebDevServerTargetConfiguration;
}
export declare const createNodesV2: [string, (webDevServerConfigPaths: readonly string[], options: WebDevServerPluginSchema | undefined, context: import("@nx/devkit").CreateNodesContextV2) => Promise<[file: string, value: import("@nx/devkit").CreateNodesResult][]>];
export declare const DEFAULT_WEB_DEV_SERVER_TARGET_NAME = "serve";
export {};
//# sourceMappingURL=web-dev-server.plugin.d.ts.map